Documentation>C API
Data Fields
VlDsiftFilter Struct Reference

Dense SIFT filter.

`#include <dsift.h>`

## Data Fields

int | imWidth
| image width
int | imHeight
| image height
int | stepX
int | stepY
int | boundMinX
int | boundMinY
int | boundMaxX
int | boundMaxY
VlDsiftDescriptorGeometry | geom
int | useFlatWindow
double | windowSize
int | numFrames
int | descrSize
VlDsiftKeypoint * | frames
float * | descrs
int | numBinAlloc
int | numFrameAlloc
int | numGradAlloc
float ** | grads
float * | convTmp1
float * | convTmp2

## Field Documentation

## ◆ boundMaxX

int VlDsiftFilter::boundMaxX

frame bounding box max X

## ◆ boundMaxY

int VlDsiftFilter::boundMaxY

frame bounding box max Y

## ◆ boundMinX

int VlDsiftFilter::boundMinX

frame bounding box min X

## ◆ boundMinY

int VlDsiftFilter::boundMinY

frame bounding box min Y

## ◆ convTmp1

float* VlDsiftFilter::convTmp1

temporary buffer

## ◆ convTmp2

float* VlDsiftFilter::convTmp2

temporary buffer

## ◆ descrs

float* VlDsiftFilter::descrs

descriptor buffer

## ◆ descrSize

int VlDsiftFilter::descrSize

size of a descriptor

## ◆ frames

VlDsiftKeypoint* VlDsiftFilter::frames

frame buffer

## ◆ geom

VlDsiftDescriptorGeometry VlDsiftFilter::geom

descriptor parameters

## ◆ grads

float** VlDsiftFilter::grads

gradient buffer

## ◆ imHeight

int VlDsiftFilter::imHeight

## ◆ imWidth

int VlDsiftFilter::imWidth

## ◆ numBinAlloc

int VlDsiftFilter::numBinAlloc

buffer allocated: descriptor size

## ◆ numFrameAlloc

int VlDsiftFilter::numFrameAlloc

buffer allocated: number of frames

## ◆ numFrames

int VlDsiftFilter::numFrames

number of sampled frames

## ◆ numGradAlloc

int VlDsiftFilter::numGradAlloc

buffer allocated: number of orientations

## ◆ stepX

int VlDsiftFilter::stepX

frame sampling step X

## ◆ stepY

int VlDsiftFilter::stepY

frame sampling step Y

## ◆ useFlatWindow

int VlDsiftFilter::useFlatWindow

flag: whether to approximate the Gaussian window with a flat one

## ◆ windowSize

double VlDsiftFilter::windowSize

size of the Gaussian window

The documentation for this struct was generated from the following file:

- dsift.h